2009年7月14日

[debian-users:52643] [Translate] [SECURITY] [DSA 1829-2] New sork-passwd-h3 packages fixregression

かねこです。
URL 等は Debian-security-announce メーリングリストの元記事を確認
ください。

------>8------------>8------------>8------------>8------------>8-
- ------------------------------------------------------------------------
Debian Security Advisory DSA-1829-2 security@xxxxx
http://www.debian.org/security/ Steffen Joeris

July 14, 2009 http://www.debian.org/security/faq
- ------------------------------------------------------------------------

Package : sork-passwd-h3
Vulnerability : 入力のサニタイズ不足
Problem type : リモート
Debian-specific: いいえ
CVE ID : CVE-2009-2360
Debian Bug : 536554


前の更新で main.php にバグを作り込んでしまい、モジュールが動かなくなっていました。今
回の更新はこの問題を修正します。念のため元の勧告を再掲します。

ユーザがパスワードを変更するための Horde3 モジュール sork-passwd-h3 に、
backend パラメータを使ったクロスサイトスクリプティング攻撃を許す欠陥が
発見されました。

旧安定版 (oldstable) ディストリビューション (etch) では、この問題はバー
ジョン 3.0-2+etch2 で修正されています。

安定版 (stable) ディストリビューション (lenny) では、この問題はバージョン
3.0-2+lenny2 で修正されています。

テスト版ディストリビューション (squeeze) では、この問題は近く修正予定です。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバージョン 3.1-1.2
で修正されています。


直ぐに sork-passwd-h3 パッケージをアップグレードすることを勧めます。.


アップグレード手順
------------------

wget url
でファイルを取得できます。
dpkg -i file.deb
で参照されたファイルをインストールできます。

apt-get パッケージマネージャを用いている場合には、本メールのフッタ記載の
行を sources.list に加えて、

apt-get update
を実行して内部データベースを更新し、
apt-get upgrade
によって修正されたパッケージをインストールしてください。

本メールのフッタ記載の設定を自ホストの設定に加えることにより、自動更新を
行うこともできます。


Debian GNU/Linux 4.0 alias etch
- -------------------------------

Debian (old stable)
- ------------------

旧安定版の更新は、alpha, amd64, arm, hppa, i386, ia64, mips, mipsel,
powerpc, s390 および sparc の各アーキテクチャで提供されています。

ソースアーカイブ:


http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0.orig.tar.gz
Size/MD5 checksum: 966096 ca5612500c91c4ef3c838e8e94376332

http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+etch2.diff.gz
Size/MD5 checksum: 8109 14058de6d3445e1cac53b98f031a4384

http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+etch2.dsc
Size/MD5 checksum: 722 e03e7aff3a183735534643002e2e2b62

アーキテクチャに依存しないパッケージ:


http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+etch2_all.deb
Size/MD5 checksum: 936666 b031037d56cde718e6406cf3c1e8eca5


Debian GNU/Linux 5.0 alias lenny
- --------------------------------

Debian (stable)
- ---------------

安定版の更新は、alpha, amd64, arm, hppa, i386, ia64, armel, mips, mipsel,
powerpc, s390 および sparc の各アーキテクチャで提供されています。
.
ソースアーカイブ:


http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0.orig.tar.gz
Size/MD5 checksum: 966096 ca5612500c91c4ef3c838e8e94376332

http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+lenny2.diff.gz
Size/MD5 checksum: 8109 e8933892adfa29e6a33190faced6da28

http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+lenny2.dsc
Size/MD5 checksum: 1134 bac30df2620ff7edd10cd3d1a7375fbf

アーキテクチャに依存しないパッケージ:


http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+lenny2_all.deb
Size/MD5 checksum: 936634 86e21e645eea5866292604b3ee7934cb


これらのファイルは次の版の安定版リリース時そちらに移されます。


- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@xxxxx
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<;pkg>
------>8------------>8------------>8------------>8------------>8-
--
Seiji Kaneko skaneko@xxxxx
---------------------------------------------------------

投稿者 xml-rpc : 2009年7月14日 22:28
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/86634
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。